"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getXmlElement = exports.extractUniqueElementValue = void 0;
/*
 * Copyright (c) 2023, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const ts_types_1 = require("@salesforce/ts-types");
/** handle wide-open reading of values from elements inside any metadata xml file...we don't know the type
 * Return the value of the matching element if supplied, or defaults `fullName` then `name`  */
const extractUniqueElementValue = (xml, uniqueId) => uniqueId ? (0, ts_types_1.getString)(xml, uniqueId) ?? getStandardElements(xml) : getStandardElements(xml);
exports.extractUniqueElementValue = extractUniqueElementValue;
const getStandardElements = (xml) => (0, ts_types_1.getString)(xml, 'fullName') ?? (0, ts_types_1.getString)(xml, 'name') ?? undefined;
/** @returns xmlElementName if specified, otherwise returns the directoryName */
const getXmlElement = (mdType) => mdType.xmlElementName ?? mdType.directoryName;
exports.getXmlElement = getXmlElement;
//# sourceMappingURL=decomposed.js.map